/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.entidad;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

/**
 *
 * @author Rafael
 */
@Entity
@Table(name = "PTOVTA_ANTECIPACOMISSAO")
@NamedQueries({
    @NamedQuery(name = "PtovtaAntecipacomissao.findAll", query = "SELECT p FROM PtovtaAntecipacomissao p")})
public class PtovtaAntecipacomissao implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "ID")
    private Integer id;
   
    @Column(name = "DATA")
    @Temporal(TemporalType.TIMESTAMP)
    private Date data;
    
    @Column(name = "RETEM")
    private int retem;
    @Basic(optional = false)
    @Column(name = "PERCENTUAL")
    private int percentual;
    
    @Column(name = "ACTIVO")
    private Boolean activo;
   
    @Column(name = "FECMODIF")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fecmodif;
   
    @Column(name = "USUARIO_ID")
    private int usuarioId;
    @JoinColumn(name = "PUNTOVENTA_ID", referencedColumnName = "PUNTOVENTA_ID")
    @ManyToOne
    private PuntoVenta puntoventaId;

    public PtovtaAntecipacomissao() {
    }

    public PtovtaAntecipacomissao(Integer id) {
        this.id = id;
    }

    public PtovtaAntecipacomissao(Integer id, Date data, int retem, int percentual, Boolean activo, Date fecmodif, int usuarioId) {
        this.id = id;
        this.data = data;
        this.retem = retem;
        this.percentual = percentual;
        this.activo = activo;
        this.fecmodif = fecmodif;
        this.usuarioId = usuarioId;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Date getData() {
        return data;
    }

    public void setData(Date data) {
        this.data = data;
    }

    public int getRetem() {
        return retem;
    }

    public void setRetem(int retem) {
        this.retem = retem;
    }

    public int getPercentual() {
        return percentual;
    }

    public void setPercentual(int percentual) {
        this.percentual = percentual;
    }

    public Boolean getActivo() {
        return activo;
    }

    public void setActivo(Boolean activo) {
        this.activo = activo;
    }

    public Date getFecmodif() {
        return fecmodif;
    }

    public void setFecmodif(Date fecmodif) {
        this.fecmodif = fecmodif;
    }

    public int getUsuarioId() {
        return usuarioId;
    }

    public void setUsuarioId(int usuarioId) {
        this.usuarioId = usuarioId;
    }

    public PuntoVenta getPuntoventaId() {
        return puntoventaId;
    }

    public void setPuntoventaId(PuntoVenta puntoventaId) {
        this.puntoventaId = puntoventaId;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof PtovtaAntecipacomissao)) {
            return false;
        }
        PtovtaAntecipacomissao other = (PtovtaAntecipacomissao) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.rjconsultores.ventaboletos.entidad.PtovtaAntecipacomissao[ id=" + id + " ]";
    }
    
}
