/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao;

import com.rjconsultores.ventaboletos.entidad.ClaseServicio;
import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.entidad.Tramo;
import com.rjconsultores.ventaboletos.entidad.TramoTiempo;
import com.rjconsultores.ventaboletos.entidad.Via;

import java.util.Date;
import java.util.List;

/**
 *
 * @author Administrador
 */
public interface TramoTiempoDAO extends GenericDAO<TramoTiempo, Integer> {

    public List<TramoTiempo> buscarPorTramo(Tramo tramo);
    
    public List<TramoTiempo> buscarPorTramo(Tramo tramo,ClaseServicio clase);
    /**
     * Hace una bsqueda por los tramoTiempo activos, con la clase informado y donde traslapa feIni y fecFin con horainicio y horafin.
     *  
     * @param tramo
     * @param clase
     * @param fecIni - Es la hora de inicio
     * @param fecFin  - Es la hora de fin
     * @return
     */
    public List<TramoTiempo> buscar(Tramo tramo,ClaseServicio clase,Date fecIni, Date fecFin);
    

   
}
