/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Estacion;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;
import com.rjconsultores.ventaboletos.exception.BusinessException;

/**
 * 
 * @author Administrador
 */
public interface EstacionService {

	public List<Estacion> obtenerTodos();

	public Estacion obtenerID(Integer id);

	/**
	 * Suscribe/Actualiza la entidad informada.
	 * 
	 * @param entidad
	 * @return
	 * @throws BusinessException - Cuando la estacion es duplicada
	 */
	public Estacion suscribirActualizar(Estacion entidad) throws BusinessException;

	public void borrar(Estacion entidad);

	public List<Estacion> buscar(String descEstacion, String descMac, Long nunCaja, PuntoVenta pv);

	public List<Estacion> buscar(String descMac);
	
	public Long getDecimalMAC(String mac);
}
