/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import com.rjconsultores.ventaboletos.entidad.FormaPago;
import java.util.List;

/**
 *
 * @author Administrador
 */
public interface FormaPagoService extends GenericService<FormaPago, Short> {

    public List<FormaPago> buscarPorDescricao(String descpago);
    
    
    /**
     * Hace las búsqueda de todas las formas de pagos, excepto las formas de pagos especiales.
     * La formar de pago especiales son definidas de forma fija. No hay un campo que identifique eso.
     * @return 
     */
    public List<FormaPago> buscarFormasPagoExceptoEspeciales();
}
